Description

All 16S analysis from Mark's project follows an additional QC protocol that was originally suggested by guys from JCVI. During
sequencing they also add controls (OTUs) which needs to be subtracted from environment microbial OTU's before statistical analysis
can continue on the BIOM file.

Samson has been looking into this. Currently some steps are scripted but other steps currently require's some manual labour.

The plan is now to fully automate this process and make the pipeline available on the uct-cbio GitHub space.

History

#1 - 05/17/2018 01:59 PM - Gerrit Botha

Hi Samson,

Please send me an example of the files you currently use to manually calculate the OTU adjustments and also a brief summary of your process. | will
see if we can script that.

Gerrit

#2 - 05/17/2018 02:12 PM - Gerrit Botha

Reply from Samson on email

I am finalizing a README file, giving details of steps done for everyone to easily understand

Samson

Thank you Samson. At the moment replying on emails do not automatically update tickets. Best to rely directly from the Redmine interface.
Gerrit

#3 - 05/17/2018 03:13 PM - Samson Kilaza

- File mapped_contaminant.txt added

- File otu-table.txt added

- File Spiked_control.txt added

- File steps.docx added
- File steps.pdf added

| have attached some files and steps to be done.
Still, I may clarify if this is not enough

Thanks

#4 - 05/17/2018 03:14 PM - Gerrit Botha

Thank you Samson, | will have a look and get back to you.

#5 - 05/17/2018 03:21 PM - Samson Kilaza
Thanks
#6 - 05/23/2018 01:34 PM - Samson Kilaza
Hi,

| have started constructing decontamination module on uct-cbio repository, and have named (uct-cbio/16S-rDNA-decon-pipeline) as per the previous
meeting. | have as well alerted as being under construction till everything is tested to be fine.

Samson

#7 - 06/07/2018 02:37 PM - Samson Kilaza
- % Done changed from 0 to 90

Hi,

| have prepared scripts for the detection of contaminants [detect.sh] and removal of contaminant [decont.sh] from the target biological samples, and
updated in uct-cbio/16S-rDNA-decon-pipeline. The remaining part is a script for finding the average and profile comparison of reads in spiked

controls.
